<?php
ob_start();
include("config.php");
	if(! check_login()){
	header("Location: login.php");
	exit;
	}

$dbres	=	mysql_query("SELECT `gevangenistijd`,UNIX_TIMESTAMP(`gevangenis`) AS `gevangenis`,0 FROM `gebruiker` WHERE `login`='{$data->login}'");
$member	=	mysql_fetch_object($dbres);

	if($member->gevangenis + $member->gevangenistijd > time()){
	header("Location: netwerken-gevangenis.php"); 
	exit;
	}

?>

<html>
<head>
<title>Ultimatecrime</title>
<link rel="stylesheet" type="text/css" href="style_general.css">
</head>
<body background="layout/images/layout_12.gif" bgproperties="fixed">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta name="description" content="Ultimatecrime is een gratis online multiplayer spel! Ontwikkel je eigen crimineel door verschillende criminele activiteiten te doen! Speel met duizenden andere criminelen en wordt nummer 1!">
<meta name="keywords" content="world, gangster, criminal, mafia, games, game, multiplayer, rpg, mmorpg, online game, online multiplayer">
<meta name="Robots" CONTENT="follow">
<meta name="REVISIT-AFTER" CONTENT="7 days">
<br>
<br>
<br>
<form method="post">
<table align="center" width="600">
	<tr>
		<td class="subTitle"><b>Netwerk - Stap uit je netwerk</b></td>
	</tr>
	<tr>
		<td class="mainTxt" align="center">

<?php

	if($data->familie != ""){
		if($data->famleader == 1){
			if(isset($_POST['submit'])){
			$dbres		=	mysql_query("SELECT `login` FROM `gebruiker` WHERE `familie`='{$data->familie}'");
				while($user = mysql_fetch_object($dbres)){
				mysql_query("UPDATE `gebruiker` SET `familie`='',`famleader`='0',`famconsig`='0',`famsotto`='0' WHERE `login`='{$user->login}'");
				mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','{$user->login}','Netwerk','Jullie leader {$data->login} heeft het netwerk verwijdert. Daarom ben je uit het netwerk geknikkert.')");
				}
			mysql_query("DELETE FROM `familie` WHERE `leader`='{$data->login}'");
			echo "Je hebt je netwerk verwijdert.<script language=\"javascript\">setTimeout(\"parent.window.location.reload()\",2000);</script>";
			} else {
			echo "<form method=\"post\">Weet je zeker dat je de netwerk wilt verwijderen?<br><br><input type=\"submit\" name=\"submit\" value=\"Ja\" style=\"width: 100px;\"></form>";
			}
		} else {
			if(isset($_POST['submit'])) {
			$dbres		=	mysql_query("SELECT `leavecost` FROM `familie` WHERE `naam`='{$data->familie}'");
			$familie	=	mysql_fetch_object($dbres);
			$leavecost	=	geld($familie->leavecost);
				if($data->cash < $familie->leavecost){
				echo "Je hebt te weinig geld contant je hebt minstens &#8364;{$leavecost} nodig om het netwerk te verlaten.<meta http-equiv=\"refresh\" content=\"3\">";
				exit;
				} else {
					if($data->famconsig == 1){
					mysql_query("UPDATE `familie` SET `consig`='',`bank`=`bank`+'{$familie->leavecost}' WHERE `naam`='{$data->familie}'");
					mysql_query("UPDATE `gebruiker` SET `familie`='',`cash`=`cash`-'{$familie->leavecost}',`famconsig`='' WHERE `login`='{$data->login}'");
					} else if($data->famsotto == 1){
					mysql_query("UPDATE `familie` SET `sotto`='',`bank`=`bank`+'{$familie->leavecost}' WHERE `naam`='{$data->familie}'");
					mysql_query("UPDATE `gebruiker` SET `familie`='',`cash`=`cash`-'{$familie->leavecost}',`famsotto`='' WHERE `login`='{$data->login}'");
					} else {
					mysql_query("UPDATE `familie` SET `bank`=`bank`+'{$familie->leavecost}' WHERE `naam`='{$data->familie}'");
					mysql_query("UPDATE `gebruiker` SET `familie`='',`cash`=`cash`-'{$familie->leavecost}' WHERE `login`='{$data->login}'");
					} 
				}
			echo "Je bent uit het netwerk gestapt.<script language=\"javascript\">setTimeout(\"parent.window.location.reload()\",2000);</script>";
			} else {
			echo "<form method=\"post\">Weet je zeker dat je uit het netwerk wilt stappen?<br><br><input type=\"submit\" name=\"submit\" value=\"Ja\" style=\"width: 100px;\"></form>";
			}
		}
	} else {
	echo "Je zit niet in een netwerk.<meta http-equiv=\"refresh\" content=\"3\">";
	}

?>

		</td>
	</tr>
	<tr>
		<td class="subtitle">&nbsp;</td>
	</tr>
</table>
</body>
</html>